package movieorganizer.userinterface;
import java.util.ArrayList;

/** This class contains all information returned from the IMDB-request. */
public class ImdbEntry {
    /** The returned title. */
    private String title;
    /** The returned director. */
    private String director;
    /** The returned year. */
    private int year;
    /** The returned rating. */
    private float rating;
    /** The returned genres. */
    private ArrayList<String> genres;
    /** The returned duration. */
    private int duration;

    /** @param t the title.
     * @param di the director.
     * @param y the year.
     * @param r the rating.
     * @param g the genres.
     * @param du the duration. */
    public ImdbEntry(final String t, final String di, final int y,
            final float r, final ArrayList<String> g,
            final int du) {
        this.title = t;
        this.director = di;
        this.year = y;
        this.rating = r;
        this.genres = g;
        this.duration = du;
    }

    /** The standard constructor is needed for XMLEncoder/Decoder. */
    public ImdbEntry() {
    }

    /** @return the title. */
    public final String getTitle() {
        return this.title;
    }

    /** @param t the title. */
    public final void setTitle(final String t) {
        this.title = t;
    }

    /** @return the director. */
    public final String getDirector() {
        return this.director;
    }

    /** @param d the director. */
    public final void setDirector(final String d) {
        this.director = d;
    }

    /** @return the year. */
    public final int getYear() {
        return this.year;
    }

    /** @param y the year. */
    public final void setYear(final int y) {
        this.year = y;
    }

    /** @return the rating. */
    public final Float getRating() {
        return this.rating;
    }

    /** @param r the rating. */
    public final void setRating(final float r) {
        this.rating = r;
    }

    /** @return the director. */
    public final ArrayList<String> getGenres() {
        return this.genres;
    }

    /** @param g the genres. */
    public final void setGenres(final ArrayList<String> g) {
        this.genres = g;
    }

    /** @return the duration. */
    public final int getDuration() {
        return this.duration;
    }

    /** @param d the duration. */
    public final void setDuration(final int d) {
        this.duration = d;
    }
}
